httpclient {base} | R Documentation

## Read text from an HTTP server

### Description

The function reads text from a URL on an HTTP server into the specified file. It checks for HTTP errors but will behave incorrectly if the data being read contains binary zeros. This function is used by the "socket" method of `download.file`.

### Usage

    httpclient(url, port=80, error.is.fatal=TRUE, check.MIME.type=TRUE,
               file=tempfile(), drop.ctrl.z=TRUE)

### Arguments

`url` | The URL to read from
`port` | The port (usually 80)
`error.is.fatal` | Stop if an error is encountered
`check.MIME.type` | Require the URL to have a MIME type known to be plain ASCII
`file` | The file to store the text.
`drop.ctrl.z` | Drop ASCII EOF (CTRL-Z) characters from the text

### Value

The name of the file containing the downloaded text.

### See Also

`download.file`, `read.table.url`